import { jsx } from "react/jsx-runtime";
import { TokenVEGA as TokenVEGA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenVEGA = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "VEGA", "data-name": "TokenVEGA", ...props, children: /* @__PURE__ */ jsx(TokenVEGA$1, { variant }) });
  }
);
TokenVEGA.displayName = "TokenVEGA";
Object.assign(TokenVEGA, { isGdsIcon: true });
export {
  TokenVEGA
};
